http://amplify.{region}.amazonaws.com/apps/{appId}/accesslogsReturns the website access logs for a specific time range using a presigned URL.
The unique ID for an Amplify app.
The time at which the logs should end. The time range specified is inclusive of the end time.
The time at which the logs should start. The time range specified is inclusive of the start time.
The name of the domain.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/accesslogs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplify.{region}.amazonaws.com/apps/{appId}/accesslogsReturns the website access logs for a specific time range using a presigned URL.
The unique ID for an Amplify app.
The time at which the logs should end. The time range specified is inclusive of the end time.
The time at which the logs should start. The time range specified is inclusive of the start time.
The name of the domain.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplify.{region}.amazonaws.com/apps/{appId}/accesslogs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}